Skip to main content
Seb's blog
logo PassionGNU/Linux

openSUSE 15.2 est sortie, oui avec des bugs au passage.

Testé le 11/07/20.

Vous savez ce que je pense de la openSUSE, c’est pour moi une des meilleurs distributions si ce n’est la meilleur, donc ce qui va suivre sera des plus objectifs puisque je ne vais pas dépeindre un monde de bisounourses ni dire que tout est rose, au contraire… Oui au contraire car je suis profondément déçu de cette version et de ce que m’apporte cette version 15.2 comme soucis.

Un exemple concret est Thunderbird, qui vient dans une version 68.x (la même que pour Debian) et celle-ci refuse catégoriquement mon profil, allant jusqu’à me demander d’en faire un autre. Toutes les manipulations ont été faite pour faire marcher mon profil et ses 12871 courriels (pardon en fait c’est plutôt 25144) mais rien. Alors que sous Debian pas de soucis.

Thunderbird

J’ai tenté de voir sur le Bugzilla d’openSUSE si il y avait un bug de décrié, mais rien n’approchant mon problème, en même temps je ne suis pas fan de Bugzilla qui est pourtant utilisé par un grand nombre de projet et je reste plus enclin à utilisé reportbug de Debian que je trouve plus confortable --Ceci étant qu’un avis personnel–.

J’ai eu quelques temps après une correction qui a fait rentré tout dans l’ordre mais je ne peux pas vraiment dire quand elle est tombé et si ce n’est la version 68.11 arrivé un bon mois plus tard qui a fait le job ou non car j’ai installé cette openSUSE sur un PC rarement allumé. Si c’est vraiment cette correction qui a résolu mon soucis, je dirai vaut mieux tard que jamais.

Sat Aug  1 09:54:53 UTC 2020 - Andreas Stieger <andreas.stieger@gmx.de>

- Mozilla Thunderbird 68.11.0
* fixed: FileLink attachments included as a link and file when
added from a network drive via drag & drop (bmo#793118)
MFSA 2020-35 (bsc#1174538)
* CVE-2020-15652 (bmo#1634872)
Potential leak of redirect targets when loading scripts in a
worker
* CVE-2020-6514 (bmo#1642792)
WebRTC data channel leaks internal address to peer
* CVE-2020-6463 (bmo#1635293)
Use-after-free in ANGLE gl::Texture::onUnbindAsSamplerTexture
* CVE-2020-15659 (bmo#1550133, bmo#1633880, bmo#1646787,
bmo#1650811)
Memory safety bugs fixed in Thunderbird 68.11

Wed Jul  1 21:00:23 UTC 2020 - Andreas Stieger <andreas.stieger@gmx.de>

- Mozilla Thunderbird 68.10.0
* fixed: Chat: Topics displayed some characters improperly
(bmo#1644024)
* fixed: Calendar: Filtering tasks did not work when
"Incomplete Tasks" was selected (bmo#1593711)
MFSA 2020-26 (bsc#1173576)
* CVE-2020-12417 (bmo#1640737)
Memory corruption due to missing sign-extension for ValueTags
on ARM64
* CVE-2020-12418 (bmo#1641303)
Information disclosure due to manipulated URL object
* CVE-2020-12419 (bmo#1643874)
Use-after-free in nsGlobalWindowInner
* CVE-2020-12420 (bmo#1643437)
Use-After-Free when trying to connect to a STUN server
* MFSA-2020-0001 (bmo#1606610)
Automatic account setup leaks Microsoft Exchange login
credentials
* CVE-2020-12421 (bmo#1308251)
Add-On updates did not respect the same certificate trust
rules as software updates

Thu Jun 11 14:52:51 UTC 2020 - Wolfgang Rosenauer <wr@rosenauer.org>

- build with nodejs10 to be able to drop nodejs8 from TW
- updated create-tar.sh

Sat Jun  6 21:05:07 UTC 2020 - Andreas Stieger <andreas.stieger@gmx.de>

- Mozilla Thunderbird 68.9.0
* fixed: Custom headers added for searching or filtering could
not be removed (bmo#1631577)
* fixed: Calendar: Today Pane updated prior to loading all data
(bmo#1635613)
* fixed: Stability improvements (bmo#1625677)
MFSA 2020-22 (bsc#1172402)
* CVE-2020-12405 (bmo#1631618)
Use-after-free in SharedWorkerService
* CVE-2020-12406 (bmo#1639590)
JavaScript Type confusion with NativeTypes
* CVE-2020-12410 (bmo#1619305, bmo#1632717)
Memory safety bugs fixed in Thunderbird 68.9.0
* CVE-2020-12398 (bmo#1613623)
Security downgrade with IMAP STARTTLS leads to information
leakage

Et c’est un soucis totalement illogique puisque sous Debian c’est bien la même version:

thunderbird/stable,now 1:68.11.0-1~deb10u1 amd64  [installé]
mail/news client with RSS, chat and integrated spam filter support

Dans les trucs qui ne vont pas, Deluge, mon programme de torrents qui merde (voir capture). Alors c’est pas si grave, des clients torrents il y en a des tas, pour ma part j’ai une préférence pour Deluge qui me suit normalement peu importe le bureau utilisé, mais sinon j’aime avoir aussi Qbittorrent et Ktorrent. Mais ça montre que les programmes ne sont pas assez testés, on va me dire que c’est ma configuration qui fait ça et bien pas de chance c’est avec une configuration vide et une installation totalement fraîche… Le soucis à ce jour est toujours d’actualité.

bug Deluge

En cherchant car j’ai de plus en plus l’habitude du “juste ça marche” mais ça m’arrive que je fasse l’effort de chercher, le soucis ressemble plus ou moins à ce fil de forum et en gros Libtorrent 1.2.x n’est pas pris en charge sur deluge 1.x, uniquement sur deluge 2.x, on doit donc soit rétrograder libtorrent (1.1.13), soit mettre à niveau deluge (2.0.3) comme on peut le lire dans le texte initial:

Libtorrent 1.2.x isn’t supported on deluge 1.x, only deluge 2.x, so you need to either downgrade libtorrent(1.1.13), or upgrade deluge(2.0.3).

Or avec cette Leap 15.2, on est le cul entre deux chaises, on a bien un Libtorrent 1.2.x mais on est aussi resté sur un deluge 1.x… Je sais pas si c’est aussi testé qu’on veut nous le faire entendre, j’ai l’impression que beaucoup de personnes n’utilisent simplement pas ce qu’ils emballent. Je suis surpris que sur plusieurs distributions, une version 2 de deluge est totalement passée à la trappe notamment comme openSUSE! Et pourtant cette même version est dans les dépôts depuis 2019:

Sat Feb 29 19:11:18 UTC 2020 - Alexei Sorokin <sor.alexei@meowr.ru>

- Add a missing requirement python3-setproctitle (boo#1164888).
- Add a missing requirement python3-Pillow (boo#1164890).
- Add a missing requirement python3-pycairo (boo#1164892).
- Use %py3_build and %py3_install macros.

Sat Jun 22 16:55:46 UTC 2019 - Andrei Dziahel <develop7@develop7.info>

- Update to version 2.0.3:
    * Gtk UI
+ Fix errors running on Wayland (#3265).
+ Fix Peers Tab tooltip and context menu errors (#3266).
    * Web UI
+ Fix TypeError in Peers Tab setting country flag.
+ Fix reverse proxy header TypeError (#3260).
+ Fix request.base ‘idna’ codec error (#3261).
+ Fix unable to change password (#3262).
* Extractor plugin
+ Fix potential error starting plugin.
    * Documentation
+ Fix macOS install typo.
+ Fix Windows install instructions.

Sun Jun  9 14:43:36 UTC 2019 - Alexei Sorokin <sor.alexei@meowr.ru>

- Update to version 2.0.2:
    * See /usr/share/doc/packages/deluge/CHANGELOG.md
- Rebase deluge-suse-geoip-location.patch,
deluge-update_7z_binary.patch.

Donc je résume pour ce cas, on monte la version de libtorrent et on la rend disponible dans LEAP 15.2 mais pas deluge. Forcément pour la LEAP 15.1, on a rien vu puisque libtorrent était encore dans une version 1.1.x.

Ubuntu fait mieux et propose une version de libtorrent en 1.1.x avec un deluge en 2.x.

Je rajoute aussi puisque c’est ainsi, certains jeux qui ne se lancent pas/plus, comme Abuse, j’ai le droit à un segfault dû certainement à un truc qui a encore bougé. Mais pour être franc, je pense que mon paquet pour Debian est dans le même cas.

Mon générateur de site en python préféré, le bien nommé Pelican ne me compile pas mon site, que je suis bête, le markdown ne fait pas parti des dépendances mais est optionnels, autant dire que c’est con quand on sait que c’est un langage de plus en plus populaire, du reste Fedora et les Debian-likes le mettent par défaut. C’est rien, c’est un truc qui se fait en une commande ou en plusieurs clics, mais voila, c’est des petites choses qui font que.

Pitivi ne se lance pas sur ma configuration KDE, en effet il manque quelques dépendances qui sont du coté de Gnome. Depuis une installation Gnome, pas de soucis.

Il y a aussi, mais c’est un truc personnel, la licence d’exportation, qui est contraire à la GPL, licence pourtant utilisée. Pour ceux que ça intéressent, j’en ai parlé ici et .

Et encore le dépôt externe au projet mais obligatoire pour une utilisation normale de son pc, mais c’est aussi le cas de Fedora, ainsi que de Mandriva de son vivant.

Dans les choses qui vont bien, tout le reste, mais je vais être méchant et dire que c’est ce que l’on est en droit d’attendre, non?
Non, pour le dire autrement, à part un papier peint différent, une couleur aussi, deux ou trois logiciels qui diffèrent et surtout un logo, une distribution linux est une distribution linux, et à part le fameux logo rien ne nous fait rappeler qu’on est sur un truc qui diffère beaucoup avec notre voisin linuxien. Dans le cas de la openSUSE, il y a bien le coup de polissage qui est supérieur dans certains cas à d’autre --quoique, que ce soit GNOME ou KDE, on ne fait même plus la différence entre distribution–, c’est surtout Yast qui fait qu’il y a une plus-value.

Voila, j’ai pas été tendre avec la distribution, tout n’est pas mauvais mais les points que j’ai soulevé et notamment Thunderbird, ont été assez gênant pour ne pas l’installer chez des personnes à sa sortie, ni faire l’upgrade depuis une 15.1. Donc maintenant, la plupart des points ont été réparé ou ont une solution de secours (je pense pour le coup à Deluge) mais pour moi le mal à été fait comme une certaine version 10 d’openSUSE merdique qui succeda à une superbe version 9.3 de SUSE.

Commencer la discussion: Venez écrire un commentaire dans le forum.